Bug 623063 - SELinux is preventing minirosetta_2.1 "write" access on fifo_file.
SELinux is preventing minirosetta_2.1 "write" access on fifo_file.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:88d224e01ec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 04:33 EDT by Erik Bartoš
Modified: 2010-08-17 01:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-47.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 01:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Bartoš 2010-08-11 04:33:40 EDT
Summary:

SELinux is preventing minirosetta_2.1 "write" access on fifo_file.

Detailed Description:

[minirosetta_2.1 has a permissive type (boinc_project_t). This access was not
denied.]

SELinux denied access requested by minirosetta_2.1. It is not expected that this
access is required by minirosetta_2.1 and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:boinc_project_t:s0
Target Context                system_u:system_r:boinc_project_t:s0
Target Objects                fifo_file [ fifo_file ]
Source                        minirosetta_2.1
Source Path                   minirosetta_2.1
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-44.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.6-147.2.4.fc13.x86_64 #1 SMP
                              Fri Jul 23 17:14:44 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 11 Aug 2010 10:30:53 AM CEST
Last Seen                     Wed 11 Aug 2010 10:30:53 AM CEST
Local ID                      1751f6b0-b251-4306-a818-530aa1f7e7ef
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281515453.658:2073): avc:  denied  { write } for  pid=31555 comm="minirosetta_2.1" path="pipe:[1003631]" dev=pipefs ino=1003631 scontext=system_u:system_r:boinc_project_t:s0 tcontext=system_u:system_r:boinc_project_t:s0 tclass=fifo_file

node=(removed) type=SYSCALL msg=audit(1281515453.658:2073): arch=40000003 syscall=4 per=400000 success=yes exit=148 a0=8 a1=ffa4eeb0 a2=94 a3=ffa4eeb0 items=0 ppid=1697 pid=31555 auid=4294967295 uid=490 gid=473 euid=490 suid=490 fsuid=490 egid=473 sgid=473 fsgid=473 tty=(none) ses=4294967295 comm="minirosetta_2.1" subj=system_u:system_r:boinc_project_t:s0 key=(null)



Hash String generated from  catchall,minirosetta_2.1,boinc_project_t,boinc_project_t,fifo_file,write
audit2allow suggests:

#============= boinc_project_t ==============
allow boinc_project_t self:fifo_file write;
Comment 1 Miroslav Grepl 2010-08-11 05:26:55 EDT
Will add

allow boinc_project_t self:fifo_file rw_fifo_file_perms;
Comment 2 Miroslav Grepl 2010-08-11 05:27:28 EDT
Fixed in selinux-policy-3.7.19-46.fc13
Comment 3 Fedora Update System 2010-08-13 10:18:34 EDT
selinux-policy-3.7.19-47.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-47.fc13
Comment 4 Fedora Update System 2010-08-13 17:07:06 EDT
selinux-policy-3.7.19-47.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-47.fc13
Comment 5 Fedora Update System 2010-08-17 01:37:53 EDT
selinux-policy-3.7.19-47.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.